package com.ebay.redlasersdk;

import android.content.ContentResolver;
import android.content.Context;
import android.graphics.Bitmap;

import java.util.HashSet;
import java.util.Set;

/**
 * Created by mo on 24/08/15.
 */
public class RedLaserExtras {

    public enum RLScannerReadyState {
        APILevelTooLow, BadLicense, EvalModeReady, LicensedModeReady, MissingPermissions,
        NoCamera, ScanLimitReached, UnknownState, UnsupportedHardware
    }


    public static RLScannerReadyState checkReadyStatus(Context context) {
        return RLScannerReadyState.LicensedModeReady;
    }

    public static String getDeviceID(ContentResolver resolver) {
        return "";
    }

    public static String getRedLaserSDKVersion() {
        return "3.2.0";
    }

    public static Set<BarcodeResult> ScanBitmap(Bitmap inputBitmap, Context context) {
        return new HashSet<BarcodeResult>();
    }
}
